# Tenants

## Overview

Application Security Tenants displays a table view of all tenants defined for an application, allowing you to create, edit or delete tenants.

## Tenant Details

### Name

The name of the tenant that will be displayed on the tenant selection page during login.

### Domain name(s)

A comma-separated list of domain names (e.g., `@mydomain.com`, `@nextdomain.co.uk`) to associate users with the appropriate tenant.

{% hint style="warning" %}
Automatic user-to-tenant association based on domain names is not currently supported.
{% endhint %}

### Filter value(s)

A comma-separated list of values (e.g., `namespaceUUID`, `namespaceName`) used to filter data in the database, ensuring users can only access data relevant to their tenant.

## Create Tenant

To create a tenant for your Servoy Cloud Application:

1. Navigate to the **Tenants** tab in **Applications** → **Your Application** → **Security**.
2. Click the **Create Tenant** button.
3. Fill in the tenant details.
4. Click **Save**.

## Edit Tenant

To edit a tenant for your Servoy Cloud Application:

1. Navigate to the **Tenants** tab in **Applications** → **Your Application** → **Security**.
2. Click the context menu for the desired tenant.
3. Select **Edit Tenant** and update the details as needed.
4. Click **Save**.

## Delete Tenant

To delete a tenant defined in your Servoy Cloud Application:

1. Navigate to the **Tenants** tab in **Applications** → **Your Application** → **Security**.
2. Click the context menu for the desired tenant.
3. Select **Delete Tenant** and confirm the deletion.

## Enable Tenant Support

Tenants defined using Application Security are integrated with the **Servoy Cloud Login**, allowing for tenant-specific access control.

To enable tenant support in your Servoy Cloud Application follow the instructions in the [**Security Login Designer**](/reference/servoy-cloud/cloud-control-center/application-overview/applications/security/security-login-designer.md#tenant-support).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoy-cloud/cloud-control-center/application-overview/applications/security/tenants.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
